Last Comment Bug 1267879 - 2,100 instances of "robustness marked as unsupported" emitted from gfx/gl/GLContextFeatures.cpp during linux64 debug testing
: 2,100 instances of "robustness marked as unsupported" emitted from gfx/gl/GLC...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: Trunk
: All All
-- normal (vote)
: mozilla50
Assigned To: Jeff Gilbert [:jgilbert]
:
: Jeff Gilbert [:jgilbert]
Mentors:
Depends on: 1280507
Blocks: logspam
  Show dependency treegraph
 
Reported: 2016-04-26 17:05 PDT by Eric Rahm [:erahm] (ni? for phab reviews)
Modified: 2017-04-14 01:53 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
MozReview Request: Bug 1267879 - r?jrmuizel - Fix WGL robustness. (58 bytes, text/x-review-board-request)
2016-05-20 17:54 PDT, Jeff Gilbert [:jgilbert]
jrmuizel: review+
Details
MozReview Request: r?jrmuizel - Only check robustness if it's supported. (58 bytes, text/x-review-board-request)
2016-05-20 17:54 PDT, Jeff Gilbert [:jgilbert]
jrmuizel: review+
Details

Description User image Eric Rahm [:erahm] (ni? for phab reviews) 2016-04-26 17:05:22 PDT
> 2131 WARNING: robustness marked as unsupported: file gfx/gl/GLContextFeatures.cpp, line 896

This warning [1] shows up in the following test suites:

>   1681 - [TC] Linux64 mochitest-gl gl
>    122 - [TC] Linux64 reftest-e10s-2 R-e10s2
>    122 - [TC] Linux64 reftest-3 R3
>     40 - [TC] Linux64 mochitest-plain-e10s-2 2
>     40 - [TC] Linux64 mochitest-2 2
>     17 - [TC] Linux64 mochitest-devtools-chrome-5 dt5
>     15 - [TC] Linux64 mochitest-plain-e10s-3 3
>     15 - [TC] Linux64 mochitest-3 3
>     13 - [TC] Linux64 crashtest e10s C
>     13 - [TC] Linux64 crashtest C
>      7 - [TC] Linux64 mochitest-browser-chrome-7 bc7
>      7 - [TC] Linux64 mochitest-browser-chrome-e10s-3 bc3
>      7 - [TC] Linux64 mochitest-browser-chrome-e10s-7 bc7
>      7 - [TC] Linux64 mochitest-browser-chrome-4 bc4
>      7 - [TC] Linux64 mochitest-chrome-1 c1
>      3 - [TC] Linux64 mochitest-media mda
>      3 - [TC] Linux64 mochitest-media-e10s mda
>      3 - [TC] Linux64 mochitest-browser-chrome-1 bc1
>      3 - [TC] Linux64 firefox-ui-tests functional en-US
>      3 - [TC] Linux64 firefox-ui-tests functional e10s en-US
>      3 - [TC] Linux64 mochitest-browser-chrome-e10s-4 bc4

It shows up in 541 tests. A few of the most prevalent:

>     99 -        dom/canvas/test/webgl-mochitest/test_backbuffer_channels.html
>     16 -        dom/canvas/test/webgl-mochitest/test_webgl_request_mismatch.html
>     14 -        dom/canvas/test/webgl-conformance/_wrappers/test_conformance__context__premultiplyalpha-test.html
>     11 -        dom/canvas/test/webgl-conformance/_wrappers/test_conformance__context__context-attributes-alpha-depth-stencil-antialias.html
>     11 -        dom/canvas/test/test_bug1215072.html
>     11 - [e10s] dom/canvas/test/test_bug1215072.html
>     10 -        dom/canvas/test/webgl-conformance/_wrappers/test_conformance__renderbuffers__framebuffer-object-attachment.html
>      8 -        devtools/client/canvasdebugger/test/browser_profiling-webgl.js
>      7 -        dom/canvas/test/webgl-conformance/_wrappers/test_conformance__context__context-lost-restored.html
>      7 - [e10s] toolkit/modules/tests/browser/browser_Troubleshoot.js

[1] https://hg.mozilla.org/mozilla-central/annotate/6a441b2b2997/gfx/gl/GLContextFeatures.cpp#l896
Comment 1 User image Eric Rahm [:erahm] (ni? for phab reviews) 2016-04-26 17:42:49 PDT
This regression showed up on central in this push:
https://hg.mozilla.org/mozilla-central/pushloghtml?changeset=fc15477ce628599519cb0055f52cc195d640dc94

I'm guessing it's:
https://hg.mozilla.org/mozilla-central/rev/ca8fae075ef3

Which is bug 1262265.
Comment 2 User image Jeff Gilbert [:jgilbert] 2016-04-26 20:13:24 PDT
Thanks for the heads-up.
Comment 3 User image Jonathan Watt [:jwatt] 2016-05-13 16:04:53 PDT
This has also started showing up in the console when starting Nightly on OS X.
Comment 4 User image Jeff Gilbert [:jgilbert] 2016-05-20 17:54:51 PDT
Created attachment 8755082 [details]
MozReview Request: Bug 1267879 - r?jrmuizel - Fix WGL robustness.

From 2fbb818c78f0a8093f2fa061cb04d610badb87d9 Mon Sep 17 00:00:00 2001
---
 gfx/gl/GLContextProviderWGL.cpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Review commit: https://reviewboard.mozilla.org/r/54384/diff/#index_header
See other reviews: https://reviewboard.mozilla.org/r/54384/
Comment 5 User image Jeff Gilbert [:jgilbert] 2016-05-20 17:54:51 PDT
Created attachment 8755083 [details]
MozReview Request:  r?jrmuizel - Only check robustness if it's supported.

From 15596597a92b139c93fa319433f72d1d3349ee4a Mon Sep 17 00:00:00 2001
---
 gfx/gl/GLContext.cpp | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

Review commit: https://reviewboard.mozilla.org/r/54386/diff/#index_header
See other reviews: https://reviewboard.mozilla.org/r/54386/
Comment 6 User image Jeff Muizelaar [:jrmuizel] 2016-06-10 15:38:14 PDT
Comment on attachment 8755082 [details]
MozReview Request: Bug 1267879 - r?jrmuizel - Fix WGL robustness.

https://reviewboard.mozilla.org/r/54384/#review56044
Comment 7 User image Jeff Muizelaar [:jrmuizel] 2016-06-10 15:38:50 PDT
Comment on attachment 8755083 [details]
MozReview Request:  r?jrmuizel - Only check robustness if it's supported.

https://reviewboard.mozilla.org/r/54386/#review56046
Comment 8 User image Pulsebot 2016-06-10 17:48:54 PDT
Pushed by jgilbert@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/4c2a18cac92b
Fix WGL robustness. - r=jrmuizel
https://hg.mozilla.org/integration/mozilla-inbound/rev/4f3df5eadf59
Only check robustness if it's supported. - r=jrmuizel
Comment 10 User image Jeff Gilbert [:jgilbert] 2016-06-10 19:27:19 PDT
Looks like this is exacerbating a possible mismanagement of context-loss-handler lifetimes.
Comment 11 User image Pulsebot 2016-06-30 13:52:24 PDT
Pushed by jgilbert@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/04d79227660a
Fix WGL robustness. - r=jrmuizel
https://hg.mozilla.org/integration/mozilla-inbound/rev/ebf87300031f
Only check robustness if it's supported. - r=jrmuizel
Comment 12 User image Sebastian Hengst [PTO+professional development; back to normal activity 2019-02-25][:aryx] (needinfo on intermittent or backout) 2016-06-30 15:39:43 PDT
Backed out for failing talos glterrain on Windows:

https://hg.mozilla.org/integration/mozilla-inbound/rev/cd9485fc83bf4056b6764f215f990fe9b84ba415
https://hg.mozilla.org/integration/mozilla-inbound/rev/807b210b03bda01e9cdda57adcf1422496856a6a

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&revision=ebf87300031f092a06fd997a35ddd3aedc907a4c
Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=31004080&repo=mozilla-inbound
15:20:49     INFO -  Running cycle 1/1 for glterrain test...
15:20:49     INFO -  TEST-INFO | started process 644 (C:\slave\test\build\application\firefox\firefox -profile c:\users\cltbld~1.t-w\appdata\local\temp\tmp4nluy0\profile -tp file:\C:\slave\test\build\tests\talos\talos\tests\webgl\glterrain.manifest.develop -tpchrome -tpnoisy -tploadnocache -tpcycles 1 -tppagecycles 25)
15:20:50     INFO -  PROCESS | 644 | [GFX1-]: Invalid size in UpdateRenderTarget Size(124,0), 0
15:21:01     INFO -  PROCESS | 644 | RSS: Main: 194777088
15:21:01     INFO -  PROCESS | 644 |
15:21:02     INFO -  PROCESS | 644 | RUNTIME ASSERT: Uninitialized GL function: fGetGraphicsResetStatus
15:21:04     INFO -  TEST-INFO | 644: exit 1
15:21:04     INFO -  TEST-UNEXPECTED-ERROR | glterrain | Could not find report in browser output: [('tsformat', ('__start_report', '__end_report')), ('tpformat', ('__start_tp_report', '__end_tp_report'))]
15:21:04    ERROR -  Traceback (most recent call last):
15:21:04     INFO -    File "C:\slave\test\build\tests\talos\talos\run_tests.py", line 202, in run_tests
15:21:04     INFO -      talos_results.add(mytest.runTest(browser_config, test))
15:21:04     INFO -    File "C:\slave\test\build\tests\talos\talos\ttest.py", line 70, in runTest
15:21:04     INFO -      return self._runTest(browser_config, test_config, setup)
15:21:04     INFO -    File "C:\slave\test\build\tests\talos\talos\ttest.py", line 232, in _runTest
15:21:04     INFO -      else None)
15:21:04     INFO -    File "C:\slave\test\build\tests\talos\talos\results.py", line 94, in add
15:21:04     INFO -      global_counters=self.global_counters
15:21:04     INFO -    File "C:\slave\test\build\tests\talos\talos\results.py", line 311, in __init__
15:21:04     INFO -      self.parse()
15:21:04     INFO -    File "C:\slave\test\build\tests\talos\talos\results.py", line 338, in parse
15:21:04     INFO -      % self.report_tokens)
15:21:04     INFO -    File "C:\slave\test\build\tests\talos\talos\results.py", line 322, in error
15:21:04     INFO -      raise utils.TalosError(message)
15:21:04     INFO -  TalosError: Could not find report in browser output: [('tsformat', ('__start_report', '__end_report')), ('tpformat', ('__start_tp_report', '__end_tp_report'))]

Note You need to log in before you can comment on or make changes to this bug.